<?php

	function printHeader($title,$currentSection)
	// Printing the header of a page, including its own title ($title).
	{

		$root = "/codeDoc/Stage/CPS/html"; // <<================== À MODIFIER

	?>
		<html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
			<title>CPS: User Manual</title>
		</head>
	<?php
		echo '<link rel="stylesheet" media="screen" type="text/css" href="'.$root.'/doxygen.css">';
	?>
		<div id="top">
			<div id="titlearea">
				<table cellspacing="0" cellpadding="0">
				<tbody>
					<tr style="height: 56px;">
						<?php
						echo '
						<td id="projectlogo"><a href="'.$root.'/index.php"><img alt="Logo" src="'.$root.'/logos/logo.png"></a></td>';
						?>
						<td style="padding-left: 0.5em;">
							<div id="projectname"><span id="projectnumber">0.8</span></div>
							<div id="projectbrief">Sorting media using crowdsourcing.   </div>
						</td>
				<?php
					if ($currentSection === "Home")
						echo '<td><div class="currentlyUsed">Home</div></td>';
					else
						echo '<td><div class="notUsed"><a href="'.$root.'/">Home</a></div></td>';
					if ($currentSection === "Install")
						echo '<td><div class="currentlyUsed">Install</div></td>';
					else
						echo '<td><div class="notUsed"><a href="'.$root.'/install/">Install</a></div></td>';
					if ($currentSection === "User Manual")
						echo '<td><div class="currentlyUsed">User Manual</div></td>';
					else
						echo '<td><div class="notUsed"><a href="'.$root.'/userManual/">User Manual</a></div></td>';
					if ($currentSection === "Principle of the Algorithm")
						echo '<td><div class="currentlyUsed">Principle of the algorithm</div></td>';
					else
						echo '<td><div class="notUsed"><a href="'.$root.'/principle/">Principle of the algorithm</strong></div></td>';
					if ($currentSection === "Antechamber")
						echo '<td><div class="currentlyUsed">Antechamber</div></td>';
					else
						echo '<td><div class="notUsed"><a href="'.$root.'/antechamber/">Antechamber</a></div></td>
						<td><div class="notUsed"><a href="'.$root.'/doxygen/html/index.html">Doxygen</strong></div></td>';
				?>
						<td style="padding-right:0.5em;">
							<div class="liris"><a href="http://liris.cnrs.fr"><img src="'.$root.'/logos/LirisLogo.png" alt="LIRIS"></a></div>
						</td>
					</tr>
				</tbody>
				</table>
			</div>
		</div>
		
		<body>
			<div class="header">
			<div class="headertitle">
				<h1><?php echo $title;?></h1>
			</div>
			</div>
	<?php
	}




	function printMenu($mainTabName,$currentTab,$tabsPath,$tabsName)
	/* Prints a menu inside the header title's bar.
	 *  	- $mainTabName is the title of the index.php page of the section used
	 *  	- $currentTab is the path to the file currently displayed
	 *  	- $tabsPath is an array containing the paths to the files you want to link with tabs
	 *  	- $tabsname the same, but with their path.
	 * Be careful, the order of the paths and of the names in their respective arrays must be consistent.
	 */
	{
		echo '<div class="mytabs">';
		if ($currentTab === "index.php")
			echo '	<span class="smallusedtab">'.$mainTabName.'</span>';
		else
			echo '	<span class="smallmaintab"><a href="index.php">'.$mainTabName.'</a></span>';
		for($i=0; $i<count($tabsPath);$i++)
		{
			echo '<span class="';
			if ($tabsPath[$i] === $currentTab)
				echo 'smallusedtab">'.$tabsName[$i].'</span>'."\n";
			else
				echo 'smalltab"><a href="'.$tabsPath[$i].'">'.$tabsName[$i].'</a></span>'."\n";
		}
		echo '</div>'."\n";
		echo '<div class="contents">'."\n";
	}



	function printFooter()
	// printing the footer of a page.
	{
	?>
		</div><!--closing the "content" div-->
		<hr class="footer"/>
		<address class="footer">
			<small>© <a href="http://liris.cnrs.fr"><strong>LIRIS</strong></a>, all right reserved. Last modification made the 07-22-2011</small></address>
		</body> <!--closing the "body" part (it was opened in the printHeader() function-->
	<?php
	}

?>
